<template>
  <span v-if="isShow" :class="className">
    <slot></slot>
    {{textValve}}
  </span>
</template>

<script>
export default {
  name: 'fTemplate',
  props: {
    className: {
      type: String,
      default: ''
    },
    textValve: {
      type: String,
      default: ''
    },
    authority: {
      type: String,
      default: 'authority'
    }
  },
  data() {
    return {
      // isAdmin: sessionStorage.getItem('isAdmin') === 'true',
      buttonAuthority: sessionStorage.getItem('buttonAuthoritys') || []
    }
  },
  computed: {
    isAdmin () {
      if (
        sessionStorage.getItem('userInfo') &&
        sessionStorage.getItem('userInfo') !== ''
      ) {
        let loginName = JSON.parse(sessionStorage.getItem('userInfo')).username
        return (
          loginName === 'admin' || loginName === 'basic'
        )
      }
      return false
    },
    isShow () {
      if (this.isAdmin) {
        return true
      } else if (
        this.buttonAuthority.indexOf(',' + this.authority + ',') > -1
      ) {
        return true
      } else {
        return false
      }
    }
  }
}
</script>
